## Changelog

#### Version 19.09.2 (February 22, 2018)
* Add fail proof method of extracting page content with broken HTML [webmin/webmin#825](https://github.com/webmin/webmin/issues/825)
* Add better Cloudmin support and fixed corresponding issues
* Add German and Catalan language translation updates
* Fix to drop using smartmatch [#1014](https://github.com/qooob/authentic-theme/issues/1014)
* Fix to contrast the look of the pop-up reauthentication screen
* Fix various UI issues

#### Version 19.09.1 (February 14, 2018)
* Add highlight of matched strings for code-viewer
* Add listener for user interaction before triggering autofocus [virtualmin.com/55770](https://www.virtualmin.com/node/55770)
* Add Swedish and German language translation updates
* Fix print issues in mail modules [#1012](https://github.com/qooob/authentic-theme/issues/1012)
* Fix update script to support minor versions
* Fix to re-enable accurate security notifications for ConfigServer Security & Firewall
* Fix numerous of other small issues

#### Version 19.09 (February 06, 2018)
* Add better highlights for Apache and Nginx configuration files [#981](https://github.com/qooob/authentic-theme/issues/981)
* Add support for detecting encoding using special comment in file's content [#987](https://github.com/qooob/authentic-theme/issues/987)
* Add Webmin/Usermin version check, before installing development version of the theme using UI [#966](https://github.com/qooob/authentic-theme/issues/966)
* Add support for fast navigation using anchors [#1005](https://github.com/qooob/authentic-theme/issues/1005)
* Add improved support for Usermin
* Add padding for collapsed panels' container based on navigation width
* Add close button for inbuilt command shell
* Fix code highlight for PHP files [#997](https://github.com/qooob/authentic-theme/issues/997)
* Fix occasionally losing messages for server notifications
* Fix issues with links and page refresh for Servers Index module
* Fix navigation trigger being appended twice
* Fix menu detection for ambiguous link entries [#994](https://github.com/qooob/authentic-theme/issues/994)
* Fix version comparison logic
* Fix to improve development versions control [@c22908d](https://github.com/qooob/authentic-theme/commit/c22908d24155a96de8d30061a074d01d75a43cdc)
* Fix to generate security notification, only for mentioned ports for ConfigServer Security & Firewall [@5b957fe](https://github.com/qooob/authentic-theme/commit/5b957fe8f75ca5d16eebe7fb241c07ff926319e7)
* Fix internal redirects [#982](https://github.com/qooob/authentic-theme/issues/982)
* Fix to secure session id [@b85d67d](https://github.com/qooob/authentic-theme/commit/b85d67d56260d8bb285e7a2a93d8620dc8ac4ea5)
* Fix to set mail tab to be default in Usermin
* Fix scores of other unreported bugs

<!--- separator --->

#### Version 19.08 (January 08, 2018)
* Add drag and drop file uploads to File Manager [#979](https://github.com/qooob/authentic-theme/issues/979#issuecomment-355857544)
* Fix not to log XHR requests [webmin/webmin#740](https://github.com/webmin/webmin/issues/740)
* Fix HTML editor mode for mail [#977](https://github.com/qooob/authentic-theme/issues/977)
* Fix navigation menu and product switch to be set correctly in different modes
* Fix HTML editor's controls for night mode
* Fixed bugs [#970](https://github.com/qooob/authentic-theme/issues/970) [#971](https://github.com/qooob/authentic-theme/issues/971) [#976](https://github.com/qooob/authentic-theme/issues/976) [virtualmin.com/54918](https://www.virtualmin.com/node/54918)


#### Version 19.07 (December 28, 2017)
* Fixed upcoming bugs

#### Version 19.06 (December 24, 2017)
* Add progressive output for inbuilt command shell [#955](https://github.com/qooob/authentic-theme/issues/955)
* Fix to query real-time monitoring only on active window [#960](https://github.com/qooob/authentic-theme/issues/960)
* Fix file downloads; display download progress
* Fixed bugs [#959](https://github.com/qooob/authentic-theme/issues/959)

#### Version 19.05 (December 20, 2017)
* Add continuous mode for top loader [#913](https://github.com/qooob/authentic-theme/issues/913)
* Add complete support for Servers Index module
* Add user-friendly message requiring to enable JavaScript [#930](https://github.com/qooob/authentic-theme/issues/930)
* Fix UX for Firefox users improving elements alignment
* Fix multiple crucial issues
* Fixed bugs [#824](https://github.com/qooob/authentic-theme/issues/824) [#923](https://github.com/qooob/authentic-theme/issues/923) [#925](https://github.com/qooob/authentic-theme/issues/925) [#927](https://github.com/qooob/authentic-theme/issues/927) [#928](https://github.com/qooob/authentic-theme/issues/928) [#933](https://github.com/qooob/authentic-theme/issues/933)

#### Version 19.04 (December 04, 2017)
* Add real-time monitoring [#896](https://github.com/qooob/authentic-theme/issues/896)
* Fixed bugs [#898](https://github.com/qooob/authentic-theme/issues/898) [#900](https://github.com/qooob/authentic-theme/issues/900) [#902](https://github.com/qooob/authentic-theme/issues/902) [#905](https://github.com/qooob/authentic-theme/issues/905) [#906](https://github.com/qooob/authentic-theme/issues/906) [#912](https://github.com/qooob/authentic-theme/issues/912) [#913](https://github.com/qooob/authentic-theme/issues/913) [webmin/webmin#711](https://github.com/webmin/webmin/pull/711) [virtualmin.com/54475](https://www.virtualmin.com/node/54475) [virtualmin.com/54476](https://www.virtualmin.com/node/54476)

#### Version 19.03 (November 19, 2017)
* Add ability to remove commands from history list of drop-down terminal [#828](https://github.com/qooob/authentic-theme/issues/828)
* Add pop-up authentication screen to let user reauthenticate on session expire [#892](https://github.com/qooob/authentic-theme/issues/892)
* Add to produce user-friendly message in case server can't be reached [#846](https://github.com/qooob/authentic-theme/issues/846)
* Add quick accessibility menu for products and its references [#886](https://github.com/qooob/authentic-theme/issues/886)
* Add return to System Information page after applied theme update [#882](https://github.com/qooob/authentic-theme/issues/882)
* Fixed bugs [#872](https://github.com/qooob/authentic-theme/issues/872) [#878/comment-341989960](https://github.com/qooob/authentic-theme/issues/878#issuecomment-341989960) [#880](https://github.com/qooob/authentic-theme/issues/880) [#883](https://github.com/qooob/authentic-theme/issues/883) [#887](https://github.com/qooob/authentic-theme/issues/887) [#888](https://github.com/qooob/authentic-theme/issues/888) [#889](https://github.com/qooob/authentic-theme/issues/889) [#890](https://github.com/qooob/authentic-theme/issues/890) [#893](https://github.com/qooob/authentic-theme/issues/893) [#895](https://github.com/qooob/authentic-theme/issues/895) [#897](https://github.com/qooob/authentic-theme/issues/897)

#### Version 19.02 (November 7, 2017)
* Add to wrap long configuration pages into accordions for faster navigation
* Add to support latest version of ConfigServer Security & Firewall
* Add to focus first form element on page render [#871](https://github.com/qooob/authentic-theme/issues/871) [virtualmin.com/53791](https://www.virtualmin.com/node/53791)
* Add to revert bookmark editor in File Manager configuration
* Fixed bugs [#834](https://github.com/qooob/authentic-theme/issues/834) [#857/comment-338026476](https://github.com/qooob/authentic-theme/issues/857#issuecomment-338026476) [#860](https://github.com/qooob/authentic-theme/issues/860) [#862](https://github.com/qooob/authentic-theme/issues/862) [#866](https://github.com/qooob/authentic-theme/issues/866) [#867](https://github.com/qooob/authentic-theme/issues/867) [#869](https://github.com/qooob/authentic-theme/issues/869) [#872](https://github.com/qooob/authentic-theme/issues/872) [#874](https://github.com/qooob/authentic-theme/issues/874) [#875](https://github.com/qooob/authentic-theme/issues/875) [#878](https://github.com/qooob/authentic-theme/issues/878)

#### Version 19.01 (October 16, 2017)
* Add container offset to be shown only on high resolution screens
* Fix page reloading to take back to previously used page
* Swedish language update [#836](https://github.com/qooob/authentic-theme/issues/836)
* Albanian language update [#837](https://github.com/qooob/authentic-theme/issues/837)
* Fixed bugs [#821](https://github.com/qooob/authentic-theme/issues/821) [#838](https://github.com/qooob/authentic-theme/issues/838) [#842](https://github.com/qooob/authentic-theme/issues/842) [#844](https://github.com/qooob/authentic-theme/issues/844) [#848](https://github.com/qooob/authentic-theme/issues/848) [#849](https://github.com/qooob/authentic-theme/issues/849) [#850](https://github.com/qooob/authentic-theme/issues/850) [#851](https://github.com/qooob/authentic-theme/issues/851) [#852](https://github.com/qooob/authentic-theme/issues/852) [#853](https://github.com/qooob/authentic-theme/issues/853) [#855](https://github.com/qooob/authentic-theme/issues/855) [#856](https://github.com/qooob/authentic-theme/issues/856) [#857](https://github.com/qooob/authentic-theme/issues/857) [#859](https://github.com/qooob/authentic-theme/issues/859) [webmin/webmin#639/comment-333394539](https://github.com/webmin/webmin/issues/639#issuecomment-333394539)

#### Version 19.00 (September 30, 2017)
* Single-page application design delivers you the fastest and smoothest _UX_ you've ever experienced
* Multiple stability and usability enhancements
* Dropped support for _Internet Explorer 11_ [#818](https://github.com/qooob/authentic-theme/issues/818)
* Fixed bugs [#754](https://github.com/qooob/authentic-theme/issues/754) [#786](https://github.com/qooob/authentic-theme/issues/786) [#807](https://github.com/qooob/authentic-theme/issues/807) [#812](https://github.com/qooob/authentic-theme/issues/812) [#822](https://github.com/qooob/authentic-theme/issues/822) [#825](https://github.com/qooob/authentic-theme/issues/825) [#827](https://github.com/qooob/authentic-theme/issues/827) [#832](https://github.com/qooob/authentic-theme/issues/832) [#833](https://github.com/qooob/authentic-theme/issues/833) [webmin/webmin#652](https://github.com/webmin/webmin/pull/652) [virtualmin.com/53995](https://www.virtualmin.com/node/53995) [virtualmin.com/53811](https://www.virtualmin.com/node/53811) [virtualmin.com/53082](https://www.virtualmin.com/node/53082) [virtualmin.com/53174](https://www.virtualmin.com/node/53174) [virtualmin.com/53358](https://www.virtualmin.com/node/53358) [virtualmin.com/53722](https://www.virtualmin.com/node/53722) [configserver.com/10414](https://forum.configserver.com/viewtopic.php?f=5&t=10414#p28652)


---------------------------------
&nbsp;&nbsp;[18.00](https://github.com/qooob/authentic-theme/blob/18/CHANGELOG.md#version-1800-may-26-2016)
&nbsp;&nbsp;[17.00](https://github.com/qooob/authentic-theme/blob/18/CHANGELOG.md#version-1700-october-11-2015)
&nbsp;&nbsp;[16.00](https://github.com/qooob/authentic-theme/blob/18/CHANGELOG.md#version-1600-september-18-2015)
&nbsp;&nbsp;[15.00](https://github.com/qooob/authentic-theme/blob/18/CHANGELOG.md#version-1500-august-23-2015)
&nbsp;&nbsp;[14.00](https://github.com/qooob/authentic-theme/blob/18/CHANGELOG.md#version-1400-july-21-2015)
&nbsp;&nbsp;[13.00](https://github.com/qooob/authentic-theme/blob/18/CHANGELOG.md#version-1300-may-24-2015)
&nbsp;&nbsp;[12.00](https://github.com/qooob/authentic-theme/blob/18/CHANGELOG.md#version-1200-may-3-2015)
&nbsp;&nbsp;[11.00](https://github.com/qooob/authentic-theme/blob/18/CHANGELOG.md#version-1100-mar-25-2015)
&nbsp;&nbsp;[10.00](https://github.com/qooob/authentic-theme/blob/18/CHANGELOG.md#version-1000-mar-4-2015)
&nbsp;&nbsp;[9.00](https://github.com/qooob/authentic-theme/blob/18/CHANGELOG.md#version-900-feb-1-2015)
&nbsp;&nbsp;[8.00](https://github.com/qooob/authentic-theme/blob/18/CHANGELOG.md#version-800-jan-4-2015)
&nbsp;&nbsp;[7.00](https://github.com/qooob/authentic-theme/blob/18/CHANGELOG.md#version-700-dec-21-2014)
&nbsp;&nbsp;[6.00](https://github.com/qooob/authentic-theme/blob/18/CHANGELOG.md#version-600-nov-6-2014)
&nbsp;&nbsp;[5.00](https://github.com/qooob/authentic-theme/blob/18/CHANGELOG.md#version-500-oct-30-2014)
&nbsp;&nbsp;[4.00](https://github.com/qooob/authentic-theme/blob/18/CHANGELOG.md#version-400-oct-9-2014)
&nbsp;&nbsp;[3.00](https://github.com/qooob/authentic-theme/blob/18/CHANGELOG.md#version-300-oct-5-2014)
&nbsp;&nbsp;[2.00](https://github.com/qooob/authentic-theme/blob/18/CHANGELOG.md#version-200-oct-1-2014)
&nbsp;&nbsp;[1.00](https://github.com/qooob/authentic-theme/blob/18/CHANGELOG.md#version-100-sep-21-2014)
